Name: gnome-ppp
Version: 0.3.21
Release: alt2

Summary: GNOME 2 frontend for wvdial
Summary(ru_RU.KOI8-R):   wvdial  GNOME 2
Summary(be_BY.CP1251):	     wvdial   GNOME

License: GPL
Group: Networking/Remote access
Url: http://www.gnome-ppp.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
#Patch: %name-be.patch
#Source1: %name-%version.ru.po

Obsoletes: gnome-network
Requires: wvdial, zenity

# Typical environment for GNOME program
#Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
#BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

# Automatically added by buildreq on Sun Nov 28 2004
BuildRequires: ORBit2-devel esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig xorg-x11-devel xorg-x11-libs

Requires: wvdial

%description
This is GNOME 2 frontend for wvdial
Dialer program.

%description -l ru_RU.KOI8-R
   wvdial,   
   .

%description -l be_BY.CP1251
    wvdial   GNOME.   
           .

%prep
%setup -q
#%patch -p0

#cp -f %SOURCE1 po/ru.po

%build
#aclocal ; autoheader ; autoconf ; automake -a
%configure
%make AM_CFLAGS=-export-dynamic

%install
%make_install DESTDIR=%buildroot install
%__mv %buildroot/%_bindir/%name %buildroot/%_bindir/%name.bin
cat >%buildroot/%_bindir/%name <<EOF
groups | grep netadmin ; R=\$?
if [ "\$R" = "0" ]; then
	sudo /usr/bin/%name.bin
else
	zenity --error --text="User are not in netadmin group"
fi
EOF
chmod 755 %buildroot/%_bindir/%name
%__mkdir -p %buildroot/etc/sudo.d
cat >%buildroot/etc/sudo.d/%name <<EOF
# Sample sudoers file for use with gnome-ppp
%netadmin   ALL = NOPASSWD: /usr/bin/gnome-ppp
EOF
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%name" \\
section="Networking/Remote access" \\
title="GNOME PPP" \\
longtitle="Internet dialer (wvdial frontend)" \\
genericname="Internet Dial-up Tool" \\
icon="%name.png" \\
needs="x11"
EOF

%__install -D $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/gnome-ppp.png $RPM_BUILD_ROOT/%_iconsdir/%name.png

%find_lang %name --with-gnome

%__rm -rf %buildroot%_var/lib/scrollkeeper

%post
%update_menus
%update_scrollkeeper
#%update_desktopdb

%postun
%clean_menus
%clean_scrollkeeper
#%clean_desktopdb

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%_iconsdir/*
%attr (0400 root root) /etc/sudo.d/*
%_menudir/%name

%changelog
* Thu May 05 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.21-alt2
- fix start script (bug #6784)

* Fri Apr 08 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.21-alt1
- new version
- add warning if user are not in netadmin group

* Wed Feb 23 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.20-alt1
- new version
- add require for wvdial
- add sudo wrapper

* Mon Jan 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.18-alt1
- fix export-dynamic for libglade (thanks Vital Khilko) (bug #5803)
- add patch for Belarusian language (from Vital Khilko) (bug #5803)

* Sun Nov 28 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3.18-alt0.1
- new version
- fix bug #5520
- review spec

* Sat Sep 04 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3.15-alt1
- new version

* Sun Jun 20 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3.2-alt0.1
- first build for Sisyphus

